%define name jpilot
%define name_plugin %{name}_plugin
%define major 0
%define lib_name %mklibname %{name_plugin} %{major}
%define version 0.99.8
%define release %mkrel 3
%define pilot_link_version 0.12.0

Name:		%{name}
Summary:	Palm pilot desktop for Linux
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Communications
URL:		http://www.jpilot.org/
Source0:	http://wwww.jpilot.org/snapshot/%{name}-%{version}.tar.bz2
Patch0:		jpilot-0.99.4-usbinfo.patch.bz2
Patch2:		jpilot-0.99.1u-plugins-improvement.patch.bz2
Patch3:		jpilot-0.99.7-misc.patch.bz2
# (fc) 0.99.2-2mdv fix crash
Patch4:		jpilot-0.99.8-fixcrash.patch.bz2
Requires:	pilot-link >= %{pilot_link_version} %{lib_name} = %{version}
BuildRequires:	gettext gtk2-devel pilot-link-devel >= %{pilot_link_version}
BuildRequires:	openssl-devel ImageMagick ncurses-devel readline-devel
BuildRequires:	chrpath
BuildRequires:  desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
J-Pilot is a desktop organizer application for the palm pilot that runs
under Linux and UNIX.  It is similar in functionality to the one that 3com
distributes for a well known rampant legacy operating system.

%package -n	%{lib_name}
Summary:	Shared libraries for jpilot
Group:		Communications

%description -n	%{lib_name}
J-Pilot is a desktop organizer application for the palm pilot that runs
under Linux and UNIX.  It is similar in functionality to the one that 3com
distributes for a well known rampant legacy operating system.

The shared libraries required for jpilot.

%package -n	%{lib_name}-devel
Summary:	Library and header file needed for jpilot plugin development
Group:		Communications
Requires:	%{lib_name} = %{version}
Provides:	%_lib%{name_plugin}-devel = %{version} %{name_plugin}-devel = %{version}

%description -n	%{lib_name}-devel
J-Pilot is a desktop organizer application for the palm pilot that runs
under Linux and UNIX.  It is similar in functionality to the one that 3com
distributes for a well known rampant legacy operating system.

The library and header file required for plugin development

%prep
%setup -q
%patch -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1 -b .fixcrash

%build
%if %_lib == lib64
  %define conf_args enable_libsuffix=64
%else 
  %define conf_args ""
%endif
#%define optflags -g -O2
%configure2_5x %conf_args --enable-gtk2
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}{%{_mandir}/man1,%{_bindir}}
%{makeinstall}

# jpilot use (almost) hardcoded plugins directory as :
#   BASE_DIR ABILIB EPN plugins
# which gives on a real system
#   /usr/lib/jpilot/plugins
# so fix plugins which have been installed in /usr/lib else.
mkdir -p %{buildroot}/%{_libdir}/%{name}/plugins
mv %{buildroot}/%{_libdir}/lib*.so* %{buildroot}/%{_libdir}/%{name}/plugins/
mv %{buildroot}/%{_libdir}/lib*.la %{buildroot}/%{_libdir}/%{name}/plugins/

chrpath -d %{buildroot}/%{_bindir}/%{name}*
chrpath -d %{buildroot}/%{_libdir}/%{name}/plugins/*.so.0.*

# copy empty/*.pdb in %{_datadir}/jpilot/
mkdir -p %{buildroot}%{_datadir}/jpilot
cp empty/*.pdb %{buildroot}%{_datadir}/jpilot/

# copy jpilotrc.* in %{_datadir}/jpilot/
cp jpilotrc.* %{buildroot}%{_datadir}/jpilot/

# clean documentation done by makefile itself.
rm -rf %{buildroot}/usr/doc

perl -p -i -e 's|%{buildroot}||' %{buildroot}/%{_libdir}/*la

mkdir -p %{buildroot}/%{_includedir}
install -m 644 {libplugin,prefs}.h %{buildroot}%{_includedir}/

# use builtin icons and ImageMagick to do the conversion.
mkdir -p %{buildroot}/%{_iconsdir}/{mini,large}
convert -resize 16x16 icons/jpilot-icon1.xpm %{buildroot}/%{_iconsdir}/mini/jpilot.png
convert -resize 32x32 icons/jpilot-icon1.xpm %{buildroot}/%{_iconsdir}/jpilot.png
convert -resize 48x48 icons/jpilot-icon1.xpm %{buildroot}/%{_iconsdir}/large/jpilot.png

mkdir -p %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(jpilot): \
  needs="x11" \
  section="Office/Communications/PDA" \
  title="J-Pilot" \
  longtitle="A tool for your palm pilot" \
  icon="jpilot.png" \
  command="jpilot" \
  xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Communications-PDA" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}

%post
%update_menus

%postun 
%clean_menus

#%post -n %{lib_name} -p /sbin/ldconfig

#%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog README TODO UPGRADING
%doc docs/manual.html docs/jpilot-*.png docs/jpilot-*.jpg
%{_bindir}/*
%{_datadir}/jpilot
%{_datadir}/icons/*png
%{_datadir}/icons/*/*png
%{_datadir}/applications/*
%{_menudir}/jpilot
%{_mandir}/man1/*

%files -n %{lib_name}
%defattr(-,root,root)
%doc COPYING README
%dir %{_libdir}/jpilot
%dir %{_libdir}/jpilot/plugins
%{_libdir}/jpilot/plugins/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc docs/plugin.html
%{_libdir}/jpilot/plugins/*.so
%{_libdir}/jpilot/plugins/*.la
%{_includedir}/*.h

%changelog
* Mon Sep 18 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.99.8-3mdv2007.0
- Rebuild

* Tue Sep 05 2006 Frederic Crozat <fcrozat@mandriva.com> 0.99.8-2mdv2007.0
- Patch4: fix crash at startup
- Rebuild for pilot-link 0.12.0
- migrate menu to XDG

* Sat Jul 01 2006 Stefan van der Eijk <stefan@mandriva.org> 0.99.8-1
- update from Cris B <cris@beebgames.com>
  - 0.99.8
  - switch to gtk2

* Tue Jan 03 2006 Stefan van der Eijk <stefan@eijk.nu> 0.99.7-6mdk
- Rebuild (libcrypto.so.0.9.8)

* Tue May 03 2005 Stew Benedict <sbenedict@mandriva.com> 0.99.7-5mdk
- really fix 64bit build, thx Gwenole

* Tue May 03 2005 Stew Benedict <sbenedict@mandriva.com> 0.99.7-4mdk
- fix 64bit build, mkrel

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.99.7-3mdk
- rebuild for new slang
- fix summary-ended-with-dot

* Fri Aug 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.7-2mdk
- fix typo in menu entry

* Wed Jun 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.99.7-1mdk
- 0.99.7

* Thu Feb 12 2004 David Baudens <baudens@mandrakesoft.com> 0.99.6-2mdk
- Fix menu

* Mon Jul 28 2003 François Pons <fpons@mandrakesoft.com> 0.99.6-1mdk
- fixed plugins not installed in right place (with help of Mark Norton).
- 0.99.6.

* Tue Jul 08 2003 François Pons <fpons@mandrakesoft.com> 0.99.5-3mdk
- add requires on libjpilot_plugin0 to jpilot in order to get
  plugins by default available with jpilot installed.

* Wed May 28 2003 François Pons <fpons@mandrakesoft.com> 0.99.5-2mdk
- rebuild.

* Fri Feb 28 2003 François Pons <fpons@mandrakesoft.com> 0.99.5-1mdk
- incorporated patch from Michael Reinsh (added BuildRequires)
- added gnome desktop file.
- use mklibname.
- rebuild with pilot-link-0.11.7.

* Thu Jan 16 2003 François Pons <fpons@mandrakesoft.com> 0.99.4-1mdk
- patch and documentations files updated.
- removed ldconfig from %%post and %%postun.
- use provided icons by project and convert them to png on the fly.
- fixed headers in a true include directory.
- 0.99.4 and pilot-link-0.11.6.

* Tue Oct 15 2002 François Pons <fpons@mandrakesoft.com> 0.99.3-1mdk
- 0.99.3 and pilot-link-0.11.5.

* Thu Aug 08 2002 François Pons <fpons@mandrakesoft.com> 0.99.2-5mdk
- rebuild with pilot-link-0.11.3.

* Sat Aug  3 2002 Stefan van der Eijk <stefan@eijk.nu> 0.99.2-4mdk
- BuildRequires

* Wed Jul 17 2002 François Pons <fpons@mandrakesoft.com> 0.99.2-3mdk
- rebuild with pilot-link-0.11.0.
- more strict requires from jpilot-plugin-devel to jpilot.

* Thu Jun 13 2002 François Pons <fpons@mandrakesoft.com> 0.99.2-2mdk
- rebuild with pilot-link-0.10.99.
- added missing requires for devel package.
- moved some files in devel package.

* Tue May 28 2002 François Pons <fpons@mandrakesoft.com> 0.99.2-1mdk
- add patch to fix directory creation right.
- 0.99.2.

* Mon Jan 28 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.9mdk
- Upgrade to latest snapshot.

* Tue Jan 15 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.8mdk
- Add Jason Day contributed code from pre to get jpilot-syncmal works.

* Thu Jan 10 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.7mdk
- Upgrade to latest snapshot.

* Fri Dec  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.6mdk
- Last dated snapshot.
- Fix rpmlint's.

* Mon Nov 19 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.5mdk
- Fix DESTDIR with makeinstall.

* Sat Sep 29 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.4mdk
- rpmlint fixes.

* Sat Jun 23 2001 Stefan van der Eijk <stefan@eijk.nu> 0.99.1-0.3mdk
- BuildRequires:	gtk+-devel

* Wed Jun 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.2mdk
- Fix plugins loading.

* Wed Jun 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.1mdk
- Sanitize spec file.
- 0.99.1 pre.

* Sun Jun 10 2001 Stefan van der Eijk <stefan@eijk.nu> 0.99-3mdk
- BuildRequires: pilot-link-devel

* Sun Apr 22 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.99-2mdk
- need prefs.h in plugins for jpilot-syncmal

* Thu Feb 08 2001 Geoffrey lee <snailtalk@mandrakesoft.com> 0.99-1mdk
- new and shiny source.
- change the URL.
- change the URL on the source tag.
- Don't apply patch1 anymore. (security mode 0700 fix.)
- remove libplugin.a (can't find it anymore.)
- when using tar use -j to pass through the bzip2 filter, not -I.

* Fri Dec 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.98.1-7mdk
- Create directory as 0700.

* Fri Nov 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.98.1-6mdk
- Rebuilt for gcc 2.96

* Wed Sep 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.98.1-4mdk
- Add info about usb.

* Fri Aug 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.98.1-3mdk
- fixed stupid error in changelog

* Fri Aug 11 2000 Vincent Danen <molnarc@mandrakesoft.com> 0.98.1-2mdk
- Added plugin lib for future development
- Added plugindevel package

* Wed Jul 26 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.98.1-1mdk
- initial mandrake build
- remove expense plugin
